Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359297 - "SETroubleshoot Alert List" is blank.
Summary: "SETroubleshoot Alert List" is blank.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 17:41 UTC by Gene Snider
Modified: 2016-09-09 07:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 07:44:54 UTC


Attachments (Terms of Use)
Complete journalctl messages (deleted)
2016-07-23 04:15 UTC, Daniel Belton
no flags Details

Description Gene Snider 2016-07-22 17:41:58 UTC
Description of problem:
When I click the "List All Alerts" button in the SELinux Alert Browser (SELinux Troubleshooter), the "SETroubleshoot Alert List" screen is blank. Not even the column headings show up. I've tried different themes in gnome-shell, Cinnamon, and Mate and they all display the same behavior.

Version-Release number of selected component (if applicable):
3.3.10-1.fc24

How reproducible:
Always, fedora user DBelton sees the problem in XFCE as well.

Steps to Reproduce:
1.Open SELinux Troubleshooter with current alerts.
2.Click the "List All Alerts" button.
3.

Actual results:
The list is blank.

Expected results:
Column headings and current alerts are visible.

Additional info:
The following message shows up when SELinux Troubleshooter starts.  There are no errors when the "List All Alerts" button is pressed, however.

$ journalctl -f
...
Jul 21 19:46:46 Mobile-PC org.fedoraproject.Setroubleshootd[1395]: (setroubleshoot:11162): Gtk-CRITICAL **: gtk_grid_attach: assertion '_gtk_widget_get_parent (child) == NULL' failed

Gene

Comment 1 Daniel Belton 2016-07-23 04:15:00 UTC
Created attachment 1183034 [details]
Complete journalctl messages

Comment 2 Daniel Belton 2016-07-23 04:16:07 UTC
Adding a few more messages I got when running setroubleshoot in Xfce.


Note You need to log in before you can comment on or make changes to this bug.